Webhooks
Receive Crier events at your HTTPS endpoint.
Get the webhook endpoint
Section titled “Get the webhook endpoint”GET
/v1/webhook-endpointResponse 200
data
urlstring (uri)requiredeventsstring[]requiredcreatedAtstring (date-time)requiredupdatedAtstring (date-time)required
curl "https://api.usecrier.com/v1/webhook-endpoint" \ -H "Authorization: Bearer $CRIER_API_KEY"const res = await fetch('https://api.usecrier.com/v1/webhook-endpoint', { headers: { Authorization: `Bearer ${process.env.CRIER_API_KEY}`, },});const { data } = await res.json();import os, requests
res = requests.get( "https://api.usecrier.com/v1/webhook-endpoint", headers={"Authorization": f"Bearer {os.environ['CRIER_API_KEY']}"},)data = res.json()["data"]Set the webhook endpoint
Section titled “Set the webhook endpoint”PUT
/v1/webhook-endpointOmit events to receive all of them. The signing secret is returned only the first time.
Body
urlstring (starts_with)requiredeventsstring[]
Response 200
data
endpointobjectrequiredendpoint
urlstring (uri)requiredeventsstring[]requiredcreatedAtstring (date-time)requiredupdatedAtstring (date-time)required
secretstringSigning secret, returned only when the endpoint is created.
curl -X PUT "https://api.usecrier.com/v1/webhook-endpoint" \ -H "Authorization: Bearer $CRIER_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "url": "https://app.acme.com/webhooks/crier" }'const res = await fetch('https://api.usecrier.com/v1/webhook-endpoint', { method: 'PUT', headers: { Authorization: `Bearer ${process.env.CRIER_API_KEY}`, 'Content-Type': 'application/json', }, body: JSON.stringify({ "url": "https://app.acme.com/webhooks/crier" }),});const { data } = await res.json();import os, requests
res = requests.put( "https://api.usecrier.com/v1/webhook-endpoint", headers={"Authorization": f"Bearer {os.environ['CRIER_API_KEY']}"}, json={ "url": "https://app.acme.com/webhooks/crier" },)data = res.json()["data"]Delete the webhook endpoint
Section titled “Delete the webhook endpoint”DELETE
/v1/webhook-endpointResponse 204
No content
curl -X DELETE "https://api.usecrier.com/v1/webhook-endpoint" \ -H "Authorization: Bearer $CRIER_API_KEY"await fetch('https://api.usecrier.com/v1/webhook-endpoint', { method: 'DELETE', headers: { Authorization: `Bearer ${process.env.CRIER_API_KEY}`, },});import os, requests
requests.delete( "https://api.usecrier.com/v1/webhook-endpoint", headers={"Authorization": f"Bearer {os.environ['CRIER_API_KEY']}"},)© 2026 Crier by TWOFACES ·usecrier.com ·Dashboard ·soporte@twofacesco.com